libgphoto2 photo camera library (libgphoto2) API 2.5.30

Data Fields
_GPPortPrivateCore Struct Reference

Internal private libgphoto2_port data. This structure contains private data. More...

Collaboration diagram for _GPPortPrivateCore:
[legend]

## Data Fields
char | error [2048]
struct _GPPortInfo | info
GPPortOperations * | ops
lt_dlhandle | lh

## Detailed Description

Internal private libgphoto2_port data. This structure contains private data.

## Field Documentation

## ◆ error

char _GPPortPrivateCore::error[2048]

Internal kept error message.

Referenced by gp_port_get_error(), and gp_port_set_error().

## ◆ info

struct _GPPortInfo _GPPortPrivateCore::info

Internal port information of this port.

Referenced by gp_port_free(), gp_port_get_info(), and gp_port_set_info().

## ◆ lh

lt_dlhandle _GPPortPrivateCore::lh

Internal libtool library handle.

Referenced by gp_port_free(), and gp_port_set_info().

## ◆ ops

GPPortOperations* _GPPortPrivateCore::ops

Internal port operations.

Referenced by gp_port_check_int(), gp_port_check_int_fast(), gp_port_close(), gp_port_flush(), gp_port_free(), gp_port_get_pin(), gp_port_open(), gp_port_read(), gp_port_reset(), gp_port_seek(), gp_port_send_break(), gp_port_send_scsi_cmd(), gp_port_set_info(), gp_port_set_pin(), gp_port_set_settings(), gp_port_usb_clear_halt(), gp_port_usb_find_device(), gp_port_usb_find_device_by_class(), gp_port_usb_msg_class_read(), gp_port_usb_msg_class_write(), gp_port_usb_msg_interface_read(), gp_port_usb_msg_interface_write(), gp_port_usb_msg_read(), gp_port_usb_msg_write(), and gp_port_write().

The documentation for this struct was generated from the following file:

- libgphoto2_port/libgphoto2_port/gphoto2-port.c